
<a id='ReusableFunctions.jl-1'></a>

# ReusableFunctions.jl


Module ReusableFunctions provides automated storage and retrieval of results for Julia function calls.


ReusableFunctions.jl module functions:

<a id='ReusableFunctions.checkhashfilename-Tuple{String,Any}' href='#ReusableFunctions.checkhashfilename-Tuple{String,Any}'>#</a>
**`ReusableFunctions.checkhashfilename`** &mdash; *Method*.



Check if a file with a filename based on hash exists


<a target='_blank' href='https://github.com/madsjulia/ReusableFunctions.jl/blob/b996fa574dc277e3a2245be3d7e650fc52c9dfc0/src/ReusableFunctions.jl#L70' class='documenter-source'>source</a><br>

<a id='ReusableFunctions.gethashfilename-Tuple{String,Any}' href='#ReusableFunctions.gethashfilename-Tuple{String,Any}'>#</a>
**`ReusableFunctions.gethashfilename`** &mdash; *Method*.



Define a filename based on hash


<a target='_blank' href='https://github.com/madsjulia/ReusableFunctions.jl/blob/b996fa574dc277e3a2245be3d7e650fc52c9dfc0/src/ReusableFunctions.jl#L63' class='documenter-source'>source</a><br>

<a id='ReusableFunctions.loadresultfile-Tuple{String}' href='#ReusableFunctions.loadresultfile-Tuple{String}'>#</a>
**`ReusableFunctions.loadresultfile`** &mdash; *Method*.



Load JLD result file


<a target='_blank' href='https://github.com/madsjulia/ReusableFunctions.jl/blob/b996fa574dc277e3a2245be3d7e650fc52c9dfc0/src/ReusableFunctions.jl#L76' class='documenter-source'>source</a><br>

<a id='ReusableFunctions.maker3function-Tuple{Function,String}' href='#ReusableFunctions.maker3function-Tuple{Function,String}'>#</a>
**`ReusableFunctions.maker3function`** &mdash; *Method*.



Make a reusable function expecting both regular and keyword arguments


<a target='_blank' href='https://github.com/madsjulia/ReusableFunctions.jl/blob/b996fa574dc277e3a2245be3d7e650fc52c9dfc0/src/ReusableFunctions.jl#L111' class='documenter-source'>source</a><br>

<a id='ReusableFunctions.quietoff-Tuple{}' href='#ReusableFunctions.quietoff-Tuple{}'>#</a>
**`ReusableFunctions.quietoff`** &mdash; *Method*.



Make ReusableFunctions not quiet


<a target='_blank' href='https://github.com/madsjulia/ReusableFunctions.jl/blob/b996fa574dc277e3a2245be3d7e650fc52c9dfc0/src/ReusableFunctions.jl#L58' class='documenter-source'>source</a><br>

<a id='ReusableFunctions.quieton-Tuple{}' href='#ReusableFunctions.quieton-Tuple{}'>#</a>
**`ReusableFunctions.quieton`** &mdash; *Method*.



Make ReusableFunctions quiet


<a target='_blank' href='https://github.com/madsjulia/ReusableFunctions.jl/blob/b996fa574dc277e3a2245be3d7e650fc52c9dfc0/src/ReusableFunctions.jl#L53' class='documenter-source'>source</a><br>

<a id='ReusableFunctions.resetcomputes-Tuple{}' href='#ReusableFunctions.resetcomputes-Tuple{}'>#</a>
**`ReusableFunctions.resetcomputes`** &mdash; *Method*.



Reset computes counter


<a target='_blank' href='https://github.com/madsjulia/ReusableFunctions.jl/blob/b996fa574dc277e3a2245be3d7e650fc52c9dfc0/src/ReusableFunctions.jl#L48' class='documenter-source'>source</a><br>

<a id='ReusableFunctions.resetrestarts-Tuple{}' href='#ReusableFunctions.resetrestarts-Tuple{}'>#</a>
**`ReusableFunctions.resetrestarts`** &mdash; *Method*.



Reset restarts counter


<a target='_blank' href='https://github.com/madsjulia/ReusableFunctions.jl/blob/b996fa574dc277e3a2245be3d7e650fc52c9dfc0/src/ReusableFunctions.jl#L43' class='documenter-source'>source</a><br>

<a id='ReusableFunctions.saveresultfile-Tuple{String,Any,Any}' href='#ReusableFunctions.saveresultfile-Tuple{String,Any,Any}'>#</a>
**`ReusableFunctions.saveresultfile`** &mdash; *Method*.



Save JLD result file


<a target='_blank' href='https://github.com/madsjulia/ReusableFunctions.jl/blob/b996fa574dc277e3a2245be3d7e650fc52c9dfc0/src/ReusableFunctions.jl#L86' class='documenter-source'>source</a><br>

